#!/bin/sh
#
# $FreeBSD: ports/security/cfs/files/cfsd.sh.in,v 1.1 2005/06/08 11:11:08 jylefort Exp $
#

# PROVIDE: cfsd
# REQUIRE: mountd

#
# Add the following line to /etc/rc.conf to enable cfsd:
#
# cfsd_enable="YES"
#
# Additional options:
#
# cfsd_port="3049"		# the port to listen to
# cfsd_mountpoint="/crypt"	# the CFS mountpoint
#

. /etc/rc.subr

name="cfsd"
rcvar=`set_rcvar`

command="/usr/local/sbin/cfsd"
start_postcmd="cfsd_poststart"
stop_precmd="cfsd_prestop"

cfsd_poststart()
{
	if [ -n "$cfsd_mountpoint" ]; then
		mount -o port="$cfsd_port",nfsv2 localhost:/usr/local/cfsd-bootstrap "$cfsd_mountpoint"
	fi
}

cfsd_prestop()
{
	if [ -n "$cfsd_mountpoint" ]; then
		umount "$cfsd_mountpoint"
	fi
}

load_rc_config $name
: ${cfsd_enable="NO"}
: ${cfsd_port="3049"}
: ${cfsd_mountpoint="/crypt"}

command_args="$cfsd_port >/dev/null 2>&1"
required_dirs="/usr/local/cfsd-bootstrap $cfsd_mountpoint"

run_rc_command "$1"
